#include "IoState.h"
#include "IoObject.h"

IoObject *IoClutter_proto(void *state);
IoObject *IoClutterActor_proto(void *state);
IoObject *IoClutterActorBox_proto(void *state);
IoObject *IoClutterColor_proto(void *state);
IoObject *IoClutterEvent_proto(void *state);
IoObject *IoClutterInputDevice_proto(void *state);
IoObject *IoClutterShader_proto(void *state);
IoObject *IoClutterStage_proto(void *state);
IoObject *IoClutterUnits_proto(void *state);
IoObject *IoClutterVertex_proto(void *state);

void IoClutterInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("Clutter"), IoClutter_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterActor"), IoClutterActor_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterActorBox"), IoClutterActorBox_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterColor"), IoClutterColor_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterEvent"), IoClutterEvent_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterInputDevice"), IoClutterInputDevice_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterShader"), IoClutterShader_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterStage"), IoClutterStage_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterUnits"), IoClutterUnits_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ClutterVertex"), IoClutterVertex_proto(self));

}
